/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "sql-stmt.h"

/**
 * SECTION: sql-stmt
 * @Short_description: any kind of SQL statement
 * @Title: SqlStmt
 * 
 * Any kind of SQL statement including groups of multiple #SqlStmt as an
 * @SqlMultiStmt, all the SQL DML statements (#SqlDml) including but as a
 * separated object the INSERT statement (#SqlStmt) and arbitrary SQL strings
 * in the form of #SqlString.
 **/
G_DEFINE_ABSTRACT_TYPE (SqlStmt, sql_stmt, SQL_TYPE_OBJECT);

//+++++++++++++++++++++++++++++++++++++++++++++++++++ Class

static void sql_stmt_init (SqlStmt * obj) {}

static void sql_stmt_class_init (SqlStmtClass * klass) {}
